<< norm | DD: 16 bytes decimal arithmetics | ddones >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > DD: 16 bytes decimal arithmetics > ddnrt

# ddnrt

n-th root of a DD real number

### Syntax

    r = ddnrt(a,n)

### Parameters

a

  DD number

n

  integer > 0

r

  DD number

### Description

ddnrt(a,n)

  return a n-th root of `a`.

### Examples

    a = ddrand(1,1)*100
    r = ddnrt(a,3)
    (r*r*r-a).hi

    --> a = ddrand(1,1)*100
     a  =
       6.561381467862602087669074544900E1

    --> r = ddnrt(a,3)
     r  =
       4.033342437368291873928469084975E0

    --> (r*r*r-a).hi
     ans  =
      -7.889D-31

### See Also

- ddpow — n-th power of DD variable
- dd — builds an array of DD numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< norm | DD: 16 bytes decimal arithmetics | ddones >>